function pbeDef = potashGenericGrowth

fileNameDecomposition = 'potashGenericGrowth_dec.matx';
if exist(fileNameDecomposition, 'file')
    dec = load(fileNameDecomposition, '-mat');
    dec = dec.dec;
else
    % Load case (contains source information)
    dec = obtainCrystalDec('generic_potash_alum', 3);
    % generate measure information
    dec = addMeasureDataDec(dec, 'volume');
    dec = addMeasureDataDec(dec, 'surface');
    dec = addMeasureDataDec(dec, 'meanWidth');
    dec = addMeasureDataDec(dec, 'support', dec.A([1 9 15], :));
    % save file
    save(fileNameDecomposition, '-mat', 'dec');
end
% copy to pbeDef
pbeDef.source = dec.cdef.source;
pbeDef.dec = dec;

dec = obtainCrystalDec('generic_potash_alum', 3);

% write pbeDef
pbeDef.seeding.positionMatrix = [1 1.6 1.2]'*0.1;
pbeDef.seeding.numberVector = 1;
pbeDef.growthRate = @(H, P, y, t)(bsxfun(@plus, 0*H,  ...
    [1 1.2 1.2]'*(t<=1) + ...
    [1 1.2 0.9]'*(t>1)*5));
pbeDef.pivotProperty = @(H, up)(up);
pbeDef.timeSpan = 0:0.01:2;

% options
pbeDef.optionStruct.distanceLimit = 1e-2; %m
pbeDef.optionStruct.relTol = 1e-5;
pbeDef.optionStruct.updateUnifiedLimit = 2;
% pbeDefinition.optionStruct.odeSolver = @ode113; % 113, 45
